# This code is part of Qiskit.
#
# (C) Copyright IBM 2017, 2018.
#
# This code is licensed under the Apache License, Version 2.0. You may
# obtain a copy of this license in the LICENSE.txt file in the root directory
# of this source tree or at http://www.apache.org/licenses/LICENSE-2.0.
#
# Any modifications or derivative works of this code must retain this
# copyright notice, and modified files need to carry a notice indicating
# that they have been altered from the originals.

"""
===================================
Events (:mod:`qiskit.tools.events`)
===================================

A helper component for publishing and subscribing to events.

.. currentmodule:: qiskit.tools.events

TextProgressBar
---------------

A text based progress bar, which also enables Jupyter magics.

.. autosummary::
   :toctree: ../stubs/

   TextProgressBar
"""

from .progressbar import TextProgressBar
